libstdc++: std::numeric_limits< long > Struct Reference

libstdc++

std::numeric_limits< long > Struct Reference

`#include <limits>`

Inheritance diagram for std::numeric_limits< long >:
[legend]

## Static Public Member Functions
static constexpr long | denorm_min () noexcept
static constexpr long | epsilon () noexcept
static constexpr long | infinity () noexcept
static constexpr long | lowest () noexcept
static constexpr long | max () noexcept
static constexpr long | min () noexcept
static constexpr long | quiet_NaN () noexcept
static constexpr long | round_error () noexcept
static constexpr long | signaling_NaN () noexcept

## Static Public Attributes
static constexpr int | digits
static constexpr int | digits
static constexpr int | digits10
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | tinyness_before
static constexpr bool | traps
static constexpr bool | traps

## Detailed Description

numeric_limits<long> specialization.

Definition at line 1208 of file limits.

## Member Function Documentation

## ◆ denorm_min()

constexpr long std::numeric_limits< long >::denorm_min | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1261 of file limits.

## ◆ epsilon()

constexpr long std::numeric_limits< long >::epsilon | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1234 of file limits.

## ◆ infinity()

constexpr long std::numeric_limits< long >::infinity | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1252 of file limits.

## ◆ lowest()

constexpr long std::numeric_limits< long >::lowest | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1220 of file limits.

## ◆ max()

constexpr long std::numeric_limits< long >::max | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1216 of file limits.

## ◆ min()

constexpr long std::numeric_limits< long >::min | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1213 of file limits.

## ◆ quiet_NaN()

constexpr long std::numeric_limits< long >::quiet_NaN | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1255 of file limits.

## ◆ round_error()

constexpr long std::numeric_limits< long >::round_error | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1237 of file limits.

## ◆ signaling_NaN()

constexpr long std::numeric_limits< long >::signaling_NaN | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1258 of file limits.

## Member Data Documentation

## ◆ digits [1/2]

int std::numeric_limits< long >::digits
| staticconstexpr

Definition at line 1223 of file limits.

## ◆ digits [2/2]

int std::__numeric_limits_base::digits
| staticconstexpr

The number of `radix` digits that be represented without change: for integer types, the number of non-sign bits in the mantissa; for floating types, the number of `radix` digits in the mantissa.

Definition at line 223 of file limits.

## ◆ digits10 [1/2]

int std::numeric_limits< long >::digits10
| staticconstexpr

Definition at line 1224 of file limits.

## ◆ digits10 [2/2]

int std::__numeric_limits_base::digits10
| staticconstexpr

The number of base 10 digits that can be represented without change.

Definition at line 226 of file limits.

## ◆ has_denorm [1/2]

float_denorm_style std::numeric_limits< long >::has_denorm
| staticconstexpr

Definition at line 1247 of file limits.

## ◆ has_denorm [2/2]

float_denorm_style std::__numeric_limits_base::has_denorm
| staticconstexpr

See std::float_denorm_style for more information.

Definition at line 278 of file limits.

## ◆ has_denorm_loss [1/2]

bool std::numeric_limits< long >::has_denorm_loss
| staticconstexpr

Definition at line 1249 of file limits.

## ◆ has_denorm_loss [2/2]

bool std::__numeric_limits_base::has_denorm_loss
| staticconstexpr

True if loss of accuracy is detected as a denormalization loss, rather than as an inexact result.

Definition at line 282 of file limits.

## ◆ has_infinity [1/2]

bool std::numeric_limits< long >::has_infinity
| staticconstexpr

Definition at line 1244 of file limits.

## ◆ has_infinity [2/2]

bool std::__numeric_limits_base::has_infinity
| staticconstexpr

True if the type has a representation for positive infinity.

Definition at line 267 of file limits.

## ◆ has_quiet_NaN [1/2]

bool std::numeric_limits< long >::has_quiet_NaN
| staticconstexpr

Definition at line 1245 of file limits.

## ◆ has_quiet_NaN [2/2]

bool std::__numeric_limits_base::has_quiet_NaN
| staticconstexpr

True if the type has a representation for a quiet (non-signaling) Not a Number.

Definition at line 271 of file limits.

## ◆ has_signaling_NaN [1/2]

bool std::numeric_limits< long >::has_signaling_NaN
| staticconstexpr

Definition at line 1246 of file limits.

## ◆ has_signaling_NaN [2/2]

bool std::__numeric_limits_base::has_signaling_NaN
| staticconstexpr

True if the type has a representation for a signaling Not a Number.

Definition at line 275 of file limits.

## ◆ is_bounded [1/2]

bool std::numeric_limits< long >::is_bounded
| staticconstexpr

Definition at line 1264 of file limits.

## ◆ is_bounded [2/2]

bool std::__numeric_limits_base::is_bounded
| staticconstexpr

True if the set of values representable by the type is finite. All built-in types are bounded, this member would be false for arbitrary precision types.

Definition at line 291 of file limits.

## ◆ is_exact [1/2]

bool std::numeric_limits< long >::is_exact
| staticconstexpr

Definition at line 1230 of file limits.

## ◆ is_exact [2/2]

bool std::__numeric_limits_base::is_exact
| staticconstexpr

True if the type uses an exact representation. All integer types are exact, but not all exact types are integer. For example, rational and fixed-exponent representations are exact but not integer.

Definition at line 243 of file limits.

## ◆ is_iec559 [1/2]

bool std::numeric_limits< long >::is_iec559
| staticconstexpr

Definition at line 1263 of file limits.

## ◆ is_iec559 [2/2]

bool std::__numeric_limits_base::is_iec559
| staticconstexpr

True if-and-only-if the type adheres to the IEC 559 standard, also known as IEEE 754. (Only makes sense for floating point types.)

Definition at line 286 of file limits.

## ◆ is_integer [1/2]

bool std::numeric_limits< long >::is_integer
| staticconstexpr

Definition at line 1229 of file limits.

## ◆ is_integer [2/2]

bool std::__numeric_limits_base::is_integer
| staticconstexpr

True if the type is integer.

Definition at line 238 of file limits.

## ◆ is_modulo [1/2]

bool std::numeric_limits< long >::is_modulo
| staticconstexpr

Definition at line 1265 of file limits.

## ◆ is_modulo [2/2]

bool std::__numeric_limits_base::is_modulo
| staticconstexpr

True if the type is modulo. A type is modulo if, for any operation involving +, -, or * on values of that type whose result would fall outside the range [min(),max()], the value returned differs from the true value by an integer multiple of max() - min() + 1. On most machines, this is false for floating types, true for unsigned integers, and true for signed integers. See PR22200 about signed integers.

Definition at line 300 of file limits.

## ◆ is_signed [1/2]

bool std::numeric_limits< long >::is_signed
| staticconstexpr

Definition at line 1228 of file limits.

## ◆ is_signed [2/2]

bool std::__numeric_limits_base::is_signed
| staticconstexpr

True if the type is signed.

Definition at line 235 of file limits.

## ◆ is_specialized [1/2]

bool std::numeric_limits< long >::is_specialized
| staticconstexpr

Definition at line 1210 of file limits.

## ◆ is_specialized [2/2]

bool std::__numeric_limits_base::is_specialized
| staticconstexpr

This will be true for all fundamental types (which have specializations), and false for everything else.

Definition at line 218 of file limits.

## ◆ max_digits10 [1/2]

int std::numeric_limits< long >::max_digits10
| staticconstexpr

Definition at line 1226 of file limits.

## ◆ max_digits10 [2/2]

int std::__numeric_limits_base::max_digits10
| staticconstexpr

The number of base 10 digits required to ensure that values which differ are always differentiated.

Definition at line 231 of file limits.

## ◆ max_exponent [1/2]

int std::numeric_limits< long >::max_exponent
| staticconstexpr

Definition at line 1241 of file limits.

## ◆ max_exponent [2/2]

int std::__numeric_limits_base::max_exponent
| staticconstexpr

The maximum positive integer such that `radix` raised to the power of (one less than that integer) is a representable finite floating point number.

Definition at line 260 of file limits.

## ◆ max_exponent10 [1/2]

int std::numeric_limits< long >::max_exponent10
| staticconstexpr

Definition at line 1242 of file limits.

## ◆ max_exponent10 [2/2]

int std::__numeric_limits_base::max_exponent10
| staticconstexpr

The maximum positive integer such that 10 raised to that power is in the range of representable finite floating point numbers.

Definition at line 264 of file limits.

## ◆ min_exponent [1/2]

int std::numeric_limits< long >::min_exponent
| staticconstexpr

Definition at line 1239 of file limits.

## ◆ min_exponent [2/2]

int std::__numeric_limits_base::min_exponent
| staticconstexpr

The minimum negative integer such that `radix` raised to the power of (one less than that integer) is a normalized floating point number.

Definition at line 251 of file limits.

## ◆ min_exponent10 [1/2]

int std::numeric_limits< long >::min_exponent10
| staticconstexpr

Definition at line 1240 of file limits.

## ◆ min_exponent10 [2/2]

int std::__numeric_limits_base::min_exponent10
| staticconstexpr

The minimum negative integer such that 10 raised to that power is in the range of normalized floating point numbers.

Definition at line 255 of file limits.

## ◆ radix [1/2]

int std::numeric_limits< long >::radix
| staticconstexpr

Definition at line 1231 of file limits.

## ◆ radix [2/2]

int std::__numeric_limits_base::radix
| staticconstexpr

For integer types, specifies the base of the representation. For floating types, specifies the base of the exponent representation.

Definition at line 247 of file limits.

## ◆ round_style [1/2]

float_round_style std::numeric_limits< long >::round_style
| staticconstexpr

Definition at line 1269 of file limits.

## ◆ round_style [2/2]

float_round_style std::__numeric_limits_base::round_style
| staticconstexpr

See std::float_round_style for more information. This is only meaningful for floating types; integer types will all be round_toward_zero.

Definition at line 311 of file limits.

## ◆ tinyness_before [1/2]

bool std::numeric_limits< long >::tinyness_before
| staticconstexpr

Definition at line 1268 of file limits.

## ◆ tinyness_before [2/2]

bool std::__numeric_limits_base::tinyness_before
| staticconstexpr

True if tininess is detected before rounding. (see IEC 559)

Definition at line 306 of file limits.

## ◆ traps [1/2]

bool std::numeric_limits< long >::traps
| staticconstexpr

Definition at line 1267 of file limits.

## ◆ traps [2/2]

bool std::__numeric_limits_base::traps
| staticconstexpr

True if trapping is implemented for this type.

Definition at line 303 of file limits.

The documentation for this struct was generated from the following file:

- limits